var poiAlpha = {
  x: 252,
  y: 144,
  id: "Poi01",
  img: null,
  type: "GENERIC",
  cat: 'FF',
  pin: function(){
  },
  adapt: function(){
  },
  setIcon: function(filename){
    //small
    // this.img=loadImage(filename,
      // function(img){
        // img.resize(20,20);
      // });
    //big
    // this._img=loadImage(filename,
      // function(img){
        // img.resize(50,50);
      // });
  }
};

var pois=[];

//Types
//  - "I": immagine
//  - "T": Testo/html
//  - "V": Video

//Cat(egoies):
// - "FF": flora e fauna
// - 



var poi=Object.create(poiAlpha);
    //0
    poi.x = 346;
    poi.y = 332;
    poi.id = "First One";
    poi.type = 'I'; //looking for "asset/I_0.jpg"
    poi.cat = 'FF'
    pois.push(poi);

    //1
    poi=Object.create(poiAlpha);
    poi.x= 746;
    poi.y= 432;
    poi.id="Two";
    poi.type = 'V'; //looking for "asset/V_1.mp4"
    poi.cat = 'AS'
    pois.push(poi);

    //2
    poi=Object.create(poiAlpha);
    poi.x= 700;
    poi.y= 402;
    poi.id="Two";
    poi.type = 'T'; //looking for "asset/T_2.html"
    poi.cat = 'PR'
    pois.push(poi);
    
    //3
    poi=Object.create(poiAlpha);
    poi.x = 246;
    poi.y = 532;
    poi.id = "3";
    poi.type = 'I'; 
    poi.cat = 'FF'
    pois.push(poi);

    //4
    poi=Object.create(poiAlpha);
    poi.x = 646;
    poi.y = 532;
    poi.id = "4";
    poi.type = 'I'; 
    poi.cat = 'FF'
    pois.push(poi);
    //5
    poi=Object.create(poiAlpha);
    poi.x = 412;
    poi.y = 605;
    poi.id = "5";
    poi.type = 'I'; 
    poi.cat = 'FF'
    pois.push(poi);
    //6
    poi=Object.create(poiAlpha);
    poi.x = 626;
    poi.y = 132;
    poi.id = "6";
    poi.type = 'I'; 
    poi.cat = 'FF'
    pois.push(poi);
    //7
    poi=Object.create(poiAlpha);
    poi.x = 211;
    poi.y = 483;
    poi.id = "7";
    poi.type = 'I'; 
    poi.cat = 'FF'
    pois.push(poi);
    //8
    poi=Object.create(poiAlpha);
    poi.x = 599;
    poi.y = 191;
    poi.id = "8";
    poi.type = 'I'; 
    poi.cat = 'FF'
    pois.push(poi);
    //9
    poi=Object.create(poiAlpha);
    poi.x = 376;
    poi.y = 500;
    poi.id = "9";
    poi.type = 'I'; 
    poi.cat = 'FF'
    pois.push(poi);

    //10
    poi=Object.create(poiAlpha);
    poi.x = 876;
    poi.y = 500;
    poi.id = "10";
    poi.type = 'V'; 
    poi.cat = 'AS'
    pois.push(poi);
    //11
    poi=Object.create(poiAlpha);
    poi.x = 816;
    poi.y = 600;
    poi.id = "11";
    poi.type = 'V'; 
    poi.cat = 'AS'
    pois.push(poi);
    //12
    poi=Object.create(poiAlpha);
    poi.x = 912;
    poi.y = 100;
    poi.id = "12";
    poi.type = 'I'; 
    poi.cat = 'AS'
    pois.push(poi);
    //13
    poi=Object.create(poiAlpha);
    poi.x = 877;
    poi.y = 432;
    poi.id = "13";
    poi.type = 'V'; 
    poi.cat = 'AS'
    pois.push(poi);
    //14
    poi=Object.create(poiAlpha);
    poi.x = 876;
    poi.y = 500;
    poi.id = "14";
    poi.type = 'T'; 
    poi.cat = 'AS'
    pois.push(poi);

